:- begin_tests(explore).
:- use_module(explore).

test(element_of_set_1) :-
        explore:element_of_set(a, [b,a]).

test(element_of_set_2) :-
        explore:element_of_set(b, [b,a]).

test(element_of_set_3, [fail]) :-
        explore:element_of_set(c, [b,a]).


test(subset_of_set_0) :-
        explore:subset_of_set([], []).

test(subset_of_set_1) :-
        explore:subset_of_set([], [a]).

test(subset_of_set_2) :-
        explore:subset_of_set([], [a,b]).

test(subset_of_set_3) :-
        explore:subset_of_set([a,b], [a,b]).

test(subset_of_set_4) :-
        explore:subset_of_set([a,b], [b,a]).

test(subset_of_set_5) :-
        explore:subset_of_set([a,b], [c,b,a]).


test(subset_of_sets_0, [fail]) :-
        explore:subset_of_sets([], []).

test(subset_of_sets_1) :-
        explore:subset_of_sets([], [[]]).

test(subset_of_sets_2) :-
        explore:subset_of_sets([], [[a]]).

test(subset_of_sets_3) :-
        explore:subset_of_sets([], [[a,b]]).

test(subset_of_sets_4, [fail]) :-
        explore:subset_of_sets([a], []).

test(subset_of_sets_5, [fail]) :-
        explore:subset_of_sets([a], [[]]).

test(subset_of_sets_6) :-
        explore:subset_of_sets([a], [[a]]).

test(subset_of_sets_7) :-
        explore:subset_of_sets([a], [[a,b]]).


:- end_tests(explore).